Bug 460974 - (xmobar) Review Request: xmobar - status bar for X
Review Request: xmobar - status bar for X
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On: 426750 426752 503250 629124
Blocks: Haskell-pkg-reviews
  Show dependency treegraph
 
Reported: 2008-09-02 23:15 EDT by Yaakov Nemoy
Modified: 2010-09-15 18:31 EDT (History)
8 users (show)

See Also:
Fixed In Version: xmobar-0.11.1-4.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-15 03:07:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
petersen: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
xmobar.spec-1.patch (674 bytes, patch)
2009-10-29 05:17 EDT, Jens Petersen
no flags Details | Diff

  None (edit)
Description Yaakov Nemoy 2008-09-02 23:15:49 EDT
Spec URL: http://ynemoy.fedorapeople.org/repo/xmobar.spec
SRPM URL: http://ynemoy.fedorapeople.org/repo/xmobar-0.9-2.fc9.src.rpm
Description: Xmobar is a minimalistic text based status bar.

Inspired by the Ion3 status bar, it supports similar features,
like dynamic color management, output templates, and extensibility
through plugins.

this package is also an example of a binary only package compiled in haskell.

The macros needed are currently available on the wiki and need to be installed
manually for now.  There is a bug to have them included in ghc directly.  I
will add it to the blockers.  Don't forget to --copyin them to mock, and then
use --no-clean to do the build.
Comment 1 Kushal Das 2008-10-17 17:51:17 EDT
Automated result from review-o-matic.

Koji Scratch build error.
Read the log at http://koji.fedoraproject.org/koji/getfile?taskID=886950&name=root.log
Comment 2 Jens Petersen 2009-05-19 03:31:39 EDT
ping - original package submission is gone
Comment 4 Jens Petersen 2009-06-02 09:41:37 EDT
Sorry update to cabal2spec-0.16 or later.
Comment 6 Jens Petersen 2009-06-20 19:33:22 EDT
I guess you want to depend on utf8-string, X11-xft,  and hinotify?
Comment 7 Jens Petersen 2009-07-01 20:03:32 EDT
Though utf8-string (already in fedora), X11-xft, and hinotify are optional, so we could also proceed with this and add the optional builds later.
Comment 8 Zach Oglesby 2009-09-11 10:19:26 EDT
Updated to include ghc-X11 and ghc-utf8-string as deps, also stopped making up groups.

http://zoglesby.fedorapeople.org/xmobar-0.9.2-3.fc11.src.rpm
http://zoglesby.fedorapeople.org/xmobar.spec
Comment 9 Jens Petersen 2009-10-29 05:15:16 EDT
xmobar.src: W: mixed-use-of-spaces-and-tabs (spaces: line 4, tab: line 21)
Comment 10 Jens Petersen 2009-10-29 05:17:05 EDT
Created attachment 366582 [details]
xmobar.spec-1.patch

You don't need doc/prof for a binary only package, plus other minor fixes.
Comment 11 Ben Boeckel 2009-12-09 10:36:45 EST
Ping. Status update on this?
Comment 12 Jens Petersen 2010-01-11 04:17:31 EST
ping-a-ling?
Comment 13 Jens Petersen 2010-01-14 20:22:57 EST
Yaakov interested in taking this back? ;)
Comment 14 Jens Petersen 2010-05-20 04:14:44 EDT
New upstream release:
http://hackage.haskell.org/package/xmobar-0.11.1

Anyone want to pick this up?
Comment 15 Ben Boeckel 2010-05-20 12:29:00 EDT
I may take this; if I get around to it over the break before graduation and no one else has taken it, I'll pick it up.
Comment 16 Zach Oglesby 2010-06-01 06:02:39 EDT
I am wating on a new computer to arrive from Dell either this week or next and then I will update this package.
Comment 17 Jens Petersen 2010-08-31 02:54:54 EDT
ping anyone?
Comment 18 Jens Petersen 2010-08-31 02:55:30 EDT
If noone else wants to I may submit a new package...
Comment 19 Ben Boeckel 2010-08-31 22:16:38 EDT
I'll take it. I have libmpd to do as well at least. Can do without the optional deps for now though:

Spec: http://benboeckel.net/packaging/xmobar/xmobar.spec
SRPM: http://benboeckel.net/packaging/xmobar/xmobar-0.11.1-1.fc14.src.rpm

% lintmock fedora-14-x86_64-bb
xmobar.src: W: spelling-error Summary(en_US) minimalistic -> minimalist, Minimalist, minimalism
xmobar.src: W: spelling-error %description -l en_US plugins -> plug ins, plug-ins, plugging
xmobar.src: W: strange-permission xmobar-0.11.1.tar.gz 0640L
xmobar.src: W: strange-permission xmobar.spec 0640L
xmobar.src: W: no-buildroot-tag
xmobar.x86_64: W: spelling-error Summary(en_US) minimalistic -> minimalist, Minimalist, minimalism
xmobar.x86_64: W: spelling-error %description -l en_US plugins -> plug ins, plug-ins, plugging
xmobar.x86_64: W: no-manual-page-for-binary xmobar
2 packages and 0 specfiles checked; 0 errors, 8 warnings.
Comment 20 Ben Boeckel 2010-09-01 00:31:36 EDT
Spec: http://benboeckel.net/packaging/xmobar/xmobar.spec
SRPM: http://benboeckel.net/packaging/xmobar/xmobar-0.11.1-2.fc14.src.rpm

Update to ship xmonadpropwrite as well.
Comment 21 Jens Petersen 2010-09-02 06:25:24 EDT
Ok thanks.  Here is the review:

 +:ok, !:needs attention,  NA: not applicable

MUST Items:
[+] MUST: rpmlint output

xmobar.src: W: spelling-error Summary(en_US) minimalistic -> Minimalist, minimalist, minimalism
xmobar.src: W: spelling-error %description -l en_US plugins -> plug ins, plug-ins, plugging
xmobar.src: W: strange-permission xmobar-0.11.1.tar.gz 0640L
xmobar.src: W: strange-permission xmobar.spec 0640L
xmobar.src: W: no-buildroot-tag
1 packages and 0 specfiles checked; 0 errors, 5 warnings.
xmobar.x86_64: W: spelling-error Summary(en_US) minimalistic -> Minimalist, minimalist, minimalism
xmobar.x86_64: W: spelling-error %description -l en_US plugins -> plug ins, plug-ins, plugging
xmobar.x86_64: W: executable-stack /usr/bin/xmobar
xmobar.x86_64: W: executable-stack /usr/bin/xmonadpropwrite
xmobar.x86_64: W: no-manual-page-for-binary xmonadpropwrite
xmobar.x86_64: W: no-manual-page-for-binary xmobar
1 packages and 0 specfiles checked; 0 errors, 6 warnings.

Ok

[+] MUST: Package Naming Guidelines
[+] MUST: spec file name must match base package %{name}
[+] MUST: Packaging Guidelines.
[+] MUST: Licensing Guidelines
[+] MUST: License field in the package spec file must match actual license.
[+] MUST: include license files in %doc if available in source
[+] MUST: The spec file must be written in American English and be legible.
[+] MUST: source md5sum matches upstream release

766fe504909384628321fb7472fdb621  xmobar-0.11.1.tar.gz

[+] MUST: must successfully compile and build into binary rpms on one main arch

http://koji.fedoraproject.org/koji/taskinfo?taskID=2442474

[+] MUST: if necessary use ExcludeArch for other archs
[+] MUST: All build dependencies must be listed in BuildRequires
[NA] MUST: use %find_lang macro for .po translations
[NA] MUST: packages which store shared library files in the dynamic linker's default paths, must call ldconfig in %post and %postun.
[NA] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review
[+] MUST: A package must own all directories that it creates.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissable content.
[NA] MUST: Large documentation files should go in a doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[NA] MUST: Header files must be in a -devel package.
[NA] MUST: Static libraries must be in a -static package.
[NA] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[!] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.

It would be best to add a desktop file.

[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: All filenames in rpm packages must be valid UTF-8.

Please also include the useful README file.

Basically all fine but since this is a GUI program I think it needs
a desktop file.  You could probably take the one we added for
xmonad as a starting point.
Comment 22 Ben Boeckel 2010-09-03 18:22:48 EDT
Spec: http://benboeckel.net/packaging/xmobar/xmobar.spec
SRPM: http://benboeckel.net/packaging/xmobar/xmobar-0.11.1-4.fc14.src.rpm

Added README, enabled libmpd and hinotify (reviews finished now), and ship a desktop file.

% lintmock fedora-14-x86_64-bb
xmobar.src: W: spelling-error Summary(en_US) minimalistic -> minimalist, Minimalist, minimalism
xmobar.src: W: spelling-error %description -l en_US plugins -> plug ins, plug-ins, plugging
xmobar.src: W: strange-permission xmobar.desktop 0640L
xmobar.src: W: strange-permission xmobar-0.11.1.tar.gz 0640L
xmobar.src: W: strange-permission xmobar.spec 0640L
xmobar.x86_64: W: spelling-error Summary(en_US) minimalistic -> minimalist, Minimalist, minimalism
xmobar.x86_64: W: spelling-error %description -l en_US plugins -> plug ins, plug-ins, plugging
xmobar.x86_64: W: no-manual-page-for-binary xmonadpropwrite
xmobar.x86_64: W: no-manual-page-for-binary xmobar
2 packages and 0 specfiles checked; 0 errors, 9 warnings
Comment 23 Jens Petersen 2010-09-03 23:38:27 EDT
Thanks - looks good to me now.
I think you can drop Icon line from the .desktop file,
unless some free icon exists (I couldn't find any).

APPROVED
Comment 24 Ben Boeckel 2010-09-03 23:58:43 EDT
New Package CVS Request
=======================
Package Name: xmobar
Short Description: A minimalistic text-based status bar
Owners: mathstuf
Branches: F-13 F-14
InitialCC: haskell-sig
Comment 25 Ben Boeckel 2010-09-03 23:59:12 EDT
Needs a flag set…
Comment 26 Kevin Fenzi 2010-09-05 13:33:57 EDT
Git done (by process-git-requests).
Comment 27 Fedora Update System 2010-09-06 22:55:58 EDT
xmobar-0.11.1-4.fc14,ghc-libmpd-0.4.2-1.fc14,ghc-hinotify-0.3.1-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/xmobar-0.11.1-4.fc14,ghc-libmpd-0.4.2-1.fc14,ghc-hinotify-0.3.1-4.fc14
Comment 28 Fedora Update System 2010-09-06 22:56:14 EDT
xmobar-0.11.1-4.fc13,ghc-libmpd-0.4.2-1.fc13,ghc-hinotify-0.3.1-4.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/xmobar-0.11.1-4.fc13,ghc-libmpd-0.4.2-1.fc13,ghc-hinotify-0.3.1-4.fc13
Comment 29 Fedora Update System 2010-09-07 02:46:08 EDT
xmobar-0.11.1-4.fc14, ghc-libmpd-0.4.2-1.fc14, ghc-hinotify-0.3.1-4.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xmobar ghc-libmpd ghc-hinotify'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/xmobar-0.11.1-4.fc14,ghc-libmpd-0.4.2-1.fc14,ghc-hinotify-0.3.1-4.fc14
Comment 30 Fedora Update System 2010-09-15 03:07:11 EDT
xmobar-0.11.1-4.fc14, ghc-libmpd-0.4.2-1.fc14, ghc-hinotify-0.3.1-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 31 Fedora Update System 2010-09-15 18:31:11 EDT
xmobar-0.11.1-4.fc13, ghc-libmpd-0.4.2-1.fc13, ghc-hinotify-0.3.1-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.